[2/2] test/jenkins: actually test lazy migration

Submitted by Mike Rapoport on Dec. 5, 2018, 3:21 p.m.

Details

Message ID 1544023261-25524-3-git-send-email-rppt@linux.ibm.com
State Accepted
Series "lazy migration fixes"
Headers show

Commit Message

Mike Rapoport Dec. 5, 2018, 3:21 p.m.
The criu-lazy-migration.sh was copied from criu-lazy-pages.sh and was not
updated enough to actually run zdtm.py with --lazy-migrate.

Fix it.

Signed-off-by: Mike Rapoport <rppt@linux.ibm.com>
---
 test/jenkins/criu-lazy-migration.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Patch hide | download patch | download mbox

diff --git a/test/jenkins/criu-lazy-migration.sh b/test/jenkins/criu-lazy-migration.sh
index cf0ab04..30e3c03 100755
--- a/test/jenkins/criu-lazy-migration.sh
+++ b/test/jenkins/criu-lazy-migration.sh
@@ -10,11 +10,11 @@  LAZY_MIGRATE_EXCLUDE="-x fifo_loop -x file_locks -x ptrace_sig -x overmount_file
 
 # lazy restore from images
 ./test/zdtm.py run --all --keep-going --report report --parallel 4 -f uns \
-	       --lazy-pages $LAZY_EXCLUDE $LAZY_MIGRATE_EXCLUDE || fail
+	       --lazy-migrate $LAZY_EXCLUDE $LAZY_MIGRATE_EXCLUDE || fail
 
 # During pre-dump + lazy-pages we leave VM_NOHUGEPAGE set
 LAZY_EXCLUDE="$LAZY_EXCLUDE -x maps02"
 
 # lazy restore from images with pre-dumps
 ./test/zdtm.py run --all --keep-going --report report --parallel 4 -f uns \
-	       --lazy-pages --pre 2 $LAZY_EXCLUDE $LAZY_MIGRATE_EXCLUDE || fail
+	       --lazy-migrate --pre 2 $LAZY_EXCLUDE $LAZY_MIGRATE_EXCLUDE || fail